Bug 749 - failed to open an xls from a w98 client, and the server restart
failed to open an xls from a w98 client, and the server restart
Status: RESOLVED WONTFIX
Product: Samba 2.2
Classification: Unclassified
Component: File Services
2.2.3a
All Linux
: P3 normal
: ---
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-10 04:27 UTC by HONTI Miklos
Modified: 2005-11-14 09:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description HONTI Miklos 2003-11-10 04:27:19 UTC
i use debian stabe for fileserver. there are many files and ~30 client. i have 
some xls, which made reboot the server if i try to open them from a windows 98 
client. from w2k is ok.

some log:
---
[2003/11/10 12:51:53, 5, pid=304, effective(1003, 101), real(0, 0)] 
lib/util.c:show_msg(286)
  smb_vwv[0]=255 (0xFF)
[2003/11/10 12:51:53, 5, pid=304, effective(1003, 101), real(0, 0)] 
lib/util.c:show_msg(286)
  smb_vwv[1]=0 (0x0)
[2003/11/10 12:51:53, 5, pid=304, effective(1003, 101), real(0, 0)] 
lib/util.c:show_msg(286)
  smb_vwv[2]=2 (0x2)
[2003/11/10 12:51:53, 5, pid=304, effective(1003, 101), real(0, 0)] 
lib/util.c:show_msg(286)
  smb_vwv[3]=1 (0x1)
[2003/11/10 12:51:53, 5, pid=304, effective(1003, 101), real(0, 0)] 
lib/util.c:show_msg(291)
  smb_bcc=16
[2003/11/10 12:51:53, 3, pid=304, effective(1003, 101), real(0, 0)] 
smbd/process.c:switch_message(667)
  switch message SMBtconX (pid 304)
[2003/11/10 12:51:53, 3, pid=304, effective(1003, 101), real(0, 0)] 
smbd/sec_ctx.c:set_sec_ctx(314)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2003/11/10 12:51:53, 5, pid=304, effective(0, 0), real(0, 0)] 
smbd/uid.c:change_to_root_user(216)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2003/11/10 12:51:53, 4, pid=304, effective(0, 0), real(0, 0)] 
smbd/reply.c:reply_tcon_and_X(335)
  Got device type IPC
[2003/11/10 12:51:53, 3, pid=304, effective(0, 0), real(0, 0)] 
smbd/password.c:authorise_login(745)
  authorise_login: ACCEPTED: validated uid ok as non-guest (user=mazsola)
[2003/11/10 12:51:53, 3, pid=304, effective(0, 0), real(0, 0)] 
smbd/service.c:make_connection(488)
  Connect path is /tmp
[2003/11/10 12:51:53, 3, pid=304, effective(0, 0), real(0, 0)] 
smbd/sec_ctx.c:push_sec_ctx(282)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2003/11/10 12:51:53, 3, pid=304, effective(0, 0), real(0, 0)] 
smbd/uid.c:push_conn_ctx(285)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2003/11/10 12:51:53, 3, pid=304, effective(0, 0), real(0, 0)] 
smbd/sec_ctx.c:set_sec_ctx(314)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2003/11/10 12:51:53, 3, pid=304, effective(0, 0), real(0, 0)] 
smbd/sec_ctx.c:get_current_groups(162)
  get_current_groups: user is in 4 groups: 1003, 101, 1031, 1042
[2003/11/10 12:51:53, 3, pid=304, effective(0, 0), real(0, 0)] 
smbd/sec_ctx.c:pop_sec_ctx(421)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2003/11/10 12:51:53, 3, pid=304, effective(0, 0), real(0, 0)] 
smbd/sec_ctx.c:get_current_groups(162)
  get_current_groups: user is in 4 groups: 1003, 101, 1031, 1042
[2003/11/10 12:51:53, 5, pid=304, effective(0, 0), real(0, 0)] 
smbd/connection.c:claim_connection(156)
  claiming IPC$ 0
[2003/11/10 12:51:53, 5, pid=304, effective(0, 0), real(0, 0)] 
smbd/password.c:create_nt_token(255)
  user token sid S-1-5-21-1428986172-1785154849-1033180803-3006

---

and here the server reboot.
i changed kernel (2.4.17, 18, 22) 
fs is ext3.

any idea? what should i more write?
Comment 1 Gerald (Jerry) Carter 2004-02-17 08:46:00 UTC
Sorry, but the 2.2 is not under development any longer.
If you can reproduce this bug against the latest 3.0 release, 
please reopen this bug and change the version in the report.
Thanks.
Comment 2 Gerald (Jerry) Carter 2005-11-14 09:25:34 UTC
database cleanup